You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@cloudstack.apache.org by ch...@apache.org on 2013/04/19 21:27:44 UTC

git commit: updated refs/heads/4.1 to 5dbf51b

Updated Branches:
  refs/heads/4.1 aeb0c5237 -> 5dbf51b99


Updating build_asf.sh to include setting the version for the release in the poms

Signed-off-by: Chip Childers <ch...@apache.org>


Project: http://git-wip-us.apache.org/repos/asf/cloudstack/repo
Commit: http://git-wip-us.apache.org/repos/asf/cloudstack/commit/5dbf51b9
Tree: http://git-wip-us.apache.org/repos/asf/cloudstack/tree/5dbf51b9
Diff: http://git-wip-us.apache.org/repos/asf/cloudstack/diff/5dbf51b9

Branch: refs/heads/4.1
Commit: 5dbf51b996df29e8c4f81a7baadf8a89b14d9f09
Parents: aeb0c52
Author: Chip Childers <ch...@apache.org>
Authored: Fri Apr 19 15:24:53 2013 -0400
Committer: Chip Childers <ch...@apache.org>
Committed: Fri Apr 19 15:24:53 2013 -0400

----------------------------------------------------------------------
 tools/build/build_asf.sh |   20 ++++++++++++++++++++
 1 files changed, 20 insertions(+), 0 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cloudstack/blob/5dbf51b9/tools/build/build_asf.sh
----------------------------------------------------------------------
diff --git a/tools/build/build_asf.sh b/tools/build/build_asf.sh
index f58f5e0..98ad6d1 100755
--- a/tools/build/build_asf.sh
+++ b/tools/build/build_asf.sh
@@ -80,6 +80,24 @@ else
 fi
 
 cd $sourcedir
+
+echo 'checking out correct branch and pulling in any changes that may be staged'
+git checkout $branch
+git pull origin $branch
+
+echo 'setting version numbers'
+mvn versions:set -DnewVersion=$version
+mv deps/XenServerJava/pom.xml.versionsBackup deps/XenServerJava/pom.xml
+git clean -f
+
+######## TODO: figure out vmware-base/pom.xml, developer/pom.xml, plugins/network-elements/midokura-midonet/pom.xml
+
+echo 'commit changes'
+git commit -a -s -m "Updating pom.xml version numbers for release $version"
+COMMITSH=`git show HEAD | head -n 1 | cut -d ' ' -f 2`
+
+echo 'committed as $COMMITSH'
+
 echo 'archiving'
 git archive --format=tar --prefix=apache-cloudstack-$version-src/ $branch > $outputdir/apache-cloudstack-$version-src.tar
 bzip2 $outputdir/apache-cloudstack-$version-src.tar
@@ -106,3 +124,5 @@ if [ $tag == 'yes' ]; then
       git tag -u $certid -s $version -m "Tagging release $version on branch $branch."
   fi
 fi
+
+echo 'completed.  use commit-sh of $COMMITSH when starting the VOTE thread'